{
 ---------------------------------------------------------------------------
  fndtest.pas
  (C) Giuseppe Maxia 1992

  purpose:      test program for THESEUS.EXE

  syntax:       fndtest FirstName SecondName
  description:  fndtest accept two names, calculates a simple CRC for each
                then returns 0 if two results are equal, 1 otherwise.

  compilation: ( TURBO Pascal compiler 5.0 or higher )
               TPC fndtest.pas

  usage:       THESEUS xpl name=*.exe .and. extern="fndtest.exe  $NA FINDER "

 ---------------------------------------------------------------------------
}
{$R-,S-,D-,L-}
program fndtest;

const
  CRCresults : array[1..2] of LongInt =
   (0,0);                                 { store results           }

var
  i,j : byte;                             { loop counters           }
  c : char;                               { temporary input storage }
  s : string[80];                         { temporary input storage }

begin
  if ParamCount < 2 then                         { checks for correct   }
    halt(1);                                     { argument number      }
  for i := 1 to 2 do begin                       { start loop           }
    s := paramstr(i);                            { assign temp string   }
    for j := 1 to byte(s[0]) do                  { scan input string    }
      inc(CRCresults[i], byte(upcase(s[j])));    { increment CRC store  }
  end;
  if CRCresults[1] = CRCresults[2] then          { compare CRC results  }
    halt(0)                                      { returns errorlevel 0 }
  else
    halt(1);                                     { returns errorlevel 1 }
end.
